curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps?limit=20&offset=0"
{
"data": [
{
"clientId": "DeVxbsxN",
"clientSecret": "sh_app_...",
"name": "My App",
"redirectUris": ["https://app.example.com/callback"],
"providers": {
"smartid": { "enabled": true, "config": { "useManagedCredentials": false, "rpUUID": "d278d410-...", "rpName": "Example" } },
"mitid": { "enabled": true, "config": { "useManagedCredentials": false, "clientId": "CLIENT_ID", "clientSecret": "CLIENT_SECRET" } },
"id-austria": { "enabled": true },
"ftn": { "enabled": false },
"buypass": { "enabled": false }
},
"defaultWorkflowId": "wf_d5a2a9f1",
"workflows": [
{
"workflowId": "wf_d5a2a9f1",
"name": "Default",
"entryNodeId": "nd_abc123",
"nodes": [
{ "id": "nd_abc123", "type": "request", "next": "nd_def456" },
{ "id": "nd_def456", "type": "verification", "next": "nd_ghi789", "config": { "channel": "oidc", "claims": ["name", "given_name", "birthdate"], "mode": "pii" } },
{ "id": "nd_ghi789", "type": "response" }
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"organizationId": "org_...",
"webhookConfig": {
"enabled": true,
"retryAttempts": 3,
"timeoutSeconds": 10,
"events": ["verification.completed", "verification.failed"]
}
}
],
"total": 2,
"limit": 20,
"offset": 0
}
List apps in the workspace with offset pagination.
curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps?limit=20&offset=0"
{
"data": [
{
"clientId": "DeVxbsxN",
"clientSecret": "sh_app_...",
"name": "My App",
"redirectUris": ["https://app.example.com/callback"],
"providers": {
"smartid": { "enabled": true, "config": { "useManagedCredentials": false, "rpUUID": "d278d410-...", "rpName": "Example" } },
"mitid": { "enabled": true, "config": { "useManagedCredentials": false, "clientId": "CLIENT_ID", "clientSecret": "CLIENT_SECRET" } },
"id-austria": { "enabled": true },
"ftn": { "enabled": false },
"buypass": { "enabled": false }
},
"defaultWorkflowId": "wf_d5a2a9f1",
"workflows": [
{
"workflowId": "wf_d5a2a9f1",
"name": "Default",
"entryNodeId": "nd_abc123",
"nodes": [
{ "id": "nd_abc123", "type": "request", "next": "nd_def456" },
{ "id": "nd_def456", "type": "verification", "next": "nd_ghi789", "config": { "channel": "oidc", "claims": ["name", "given_name", "birthdate"], "mode": "pii" } },
{ "id": "nd_ghi789", "type": "response" }
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"organizationId": "org_...",
"webhookConfig": {
"enabled": true,
"retryAttempts": 3,
"timeoutSeconds": 10,
"events": ["verification.completed", "verification.failed"]
}
}
],
"total": 2,
"limit": 20,
"offset": 0
}
Bearer <API_KEY> from Console > Developers > Workspace API Keys.curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps?limit=20&offset=0"
{
"data": [
{
"clientId": "DeVxbsxN",
"clientSecret": "sh_app_...",
"name": "My App",
"redirectUris": ["https://app.example.com/callback"],
"providers": {
"smartid": { "enabled": true, "config": { "useManagedCredentials": false, "rpUUID": "d278d410-...", "rpName": "Example" } },
"mitid": { "enabled": true, "config": { "useManagedCredentials": false, "clientId": "CLIENT_ID", "clientSecret": "CLIENT_SECRET" } },
"id-austria": { "enabled": true },
"ftn": { "enabled": false },
"buypass": { "enabled": false }
},
"defaultWorkflowId": "wf_d5a2a9f1",
"workflows": [
{
"workflowId": "wf_d5a2a9f1",
"name": "Default",
"entryNodeId": "nd_abc123",
"nodes": [
{ "id": "nd_abc123", "type": "request", "next": "nd_def456" },
{ "id": "nd_def456", "type": "verification", "next": "nd_ghi789", "config": { "channel": "oidc", "claims": ["name", "given_name", "birthdate"], "mode": "pii" } },
{ "id": "nd_ghi789", "type": "response" }
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"organizationId": "org_...",
"webhookConfig": {
"enabled": true,
"retryAttempts": 3,
"timeoutSeconds": 10,
"events": ["verification.completed", "verification.failed"]
}
}
],
"total": 2,
"limit": 20,
"offset": 0
}